curl --request GET \
--url https://padelapi.org/api/tournaments \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/tournaments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/tournaments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"location": "<string>",
"venue": {
"name": "<string>",
"address": "<string>"
},
"country": "<string>",
"timezone": "<string>",
"level": "major",
"status": "pending",
"court_type": "indoor",
"prize": {
"amount": 123,
"currency": "<string>"
},
"start_date": "<string>",
"end_date": "<string>",
"winners": {},
"links": "<string>",
"updated_at": "<string>",
"connections": "<string>"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List Tournaments
Endpoint to retrieve all tournaments and filter based on various parameters such as name, location, country, level, and date range.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Name of the tournament to search for.
Name of the city/location to held the tournament.
2 letters country-code of the tournament location.
2Tournament level(s) to filter by. Accepts one or multiple comma-separated values (e.g. major,p1,p2 for all Premier Padel tournaments).
Court type to filter by. Either indoor, outdoor or covered.
indoor, outdoor, covered After date of the tournament in YYYY-MM-DD format.
Before date of the tournament in YYYY-MM-DD format.
Filter tournaments updated after this datetime in ISO 8601 format.
Filter tournaments updated before this datetime in ISO 8601 format.
Name of the parameter to sort the tournaments by.
name, location, country, level, start_date, end_date, updated_at Order of the sorting, either asc or desc.
asc, desc